{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   

<link href="/static/dash/css/jquery.dataTables.min.css" rel="stylesheet" media="screen">

<script src="/static/dash/js/jquery-3.5.1.js"></script>

<script type="text/javascript">$(document).ready(function() {
    $('#example').DataTable( {
        "scrollX": true
    } );
} );</script>

<div class="page-wrapper">
    <div class="container-fluid">
            <h1>Registred users in system</h1>
            <p>Registred customers and users also resellers on the system</p>
            <div>

    <a href="" class="btn btn-info" data-toggle="modal" data-target="#exampleModal"><i class="m-r-10 mdi mdi-account-plus"></i> New User</a>

    <!-- Modal -->
            <form class="form-horizontal form-material" method="POST">
                <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel"><i class="m-r-10 mdi mdi-account-plus"></i> Create new user !</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    </div>
                    
                    <div class="modal-body">
                    
                            {{ form.csrf_token }}

                            <div class="form-group">
                                <label class="col-md-12">Email : </label>
                                <div class="col-md-12">
                                    {{ form.email(rows=3, class_="form-control form-control-line")}}
                                </div>
                                {% for error in form.email.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                            </div>

                            <div class="form-group">
                                <label class="col-md-12">Username : </label>
                                <div class="col-md-12">
                                    {{ form.username(rows=3, class_="form-control form-control-line")}}
                                </div>
                                {% for error in form.username.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                            </div>
                            <div class="form-group">
                                <label class="col-md-12">Password : </label>
                                <div class="col-md-12">
                                    {{ form.password(rows=3, class_="form-control form-control-line")}}
                                </div>
                                {% for error in form.password.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                            </div>

                           

                            <hr>
                            <h4>Privilleges : </h4>
                            <hr>
                            <div class="form-group">
                                <label class="col-md-12">Is also admin : </label>
                                <div class="col-md-12">
                                    {{ form.is_admin(rows=3, class_="form-control form-control-line")}}
                                </div>
                                {% for error in form.is_admin.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                            </div>
                            <div class="form-group">
                                <label class="col-md-12">Is also reseller: </label>
                                <div class="col-md-12">
                                    {{ form.is_reseller(rows=3, class_="form-control form-control-line")}}
                                </div>
                                {% for error in form.is_reseller.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                            </div>
                            <div class="form-group">
                                <label class="col-md-12">Is also subscriber : </label>
                                <div class="col-md-12">
                                    {{ form.is_subscriber(rows=3, class_="form-control form-control-line")}}
                                </div>
                                {% for error in form.is_subscriber.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                            </div>
                     
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-danger" name="submit" value="submit"><i class="m-r-10 mdi mdi-account-plus"></i> Create</button>  
                    </div>
                </div>
                </div>
            </form>
            </div>
        </div>
            <center>
                {% if error %}
                <p class=error><strong>Error:</strong> {{ error }}
                {% endif %}
                <br>
                {% with messages = get_flashed_messages(with_categories=true) %}
                {% if messages %}
                <div class="alert alert-{{ messages.0.0 }}" role="alert">
                {% for category, message in messages %}
                {{ message }} </br>
                {% endfor %}
                *</div>
                {% endif %}
                {% endwith %}
                </center>
                <br>
                <table id="example" class="display" style="width:100%">
                    <thead>
                        <tr>
                            <th>Email</th>
                            <th>Username</th>
                            <th>Credit</th>
                            <th>Privilleges</th>
                            <th>Registred at</th>
                            <th>Setting</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for user in data.users %}
                        <tr>
                            <td>{{user.email}}</td>
                            <td>{{user.username}}</td>
                            <td>{{user.credit}}</td>
                            <td>

                                {% if user.is_admin %}
                                    <h5 style="color:green;"><i class="m-r-10 mdi mdi-account-key"></i> ADMIN</h5>
                                {% elif user.is_subscriber %}
                                    <h5 style="color:orange;"><i class="m-r-10 mdi mdi-account-circle"></i> Subscriber</h5>
                                {% else %}
                                    <h5 style="color:blue;"><i class="m-r-10 mdi mdi-account-circle"></i> Registred</h5>
                                {% endif %}
                                
                            </td>
                            <td>{{user.created_at.strftime('%A,%d,%Y || %H:%M')}}</td>
                            <td>
                                <a href="{{ url_for('dash.editusers', users_id=user.id) }}" class="m-r-10 mdi mdi-account-edit label label-warning" title="Edit user"></a>
                                <a href="" class="m-r-10 mdi mdi-message-draw label label-success" title="Send quick message"></a>
                            </td>
                        </tr>
                        {% endfor %}
                   
           
                    </tfoot>
                </table>




    </div>
</div>

{% endblock content %}